
QGIS Application - Bug report #10996

Virtual fields: categorized symbology does not work under Windows

2014-08-01 02:13 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Virtual Fields

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19339

Description

Steps:

    -  create a VF, decimal (2 decimal places) with the $area function

    -  make categorized symbology using this field

    -  problem 1: the categories do not have the right number of decimal places but a lot more

    -  problem 2: the symbology is ok under Linux, while under Windows does not (all features same color) [of course I used the very same

vector layer for tests]

History

#1 - 2014-10-03 07:37 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

still true on the latest master.

#2 - 2014-10-06 01:22 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in commit:7318c73
